[arch-commits] Commit in muse/trunk (PKGBUILD muse-glibc2.10.patch)

Eric Bélanger eric at archlinux.org
Mon Jan 4 04:11:08 EST 2010


    Date: Monday, January 4, 2010 @ 04:11:08
  Author: eric
Revision: 62205

upgpkg: muse 1.0-1
    Upstream update, Added python optdepends, removed old patch

Modified:
  muse/trunk/PKGBUILD
Deleted:
  muse/trunk/muse-glibc2.10.patch

----------------------+
 PKGBUILD             |   12 +++++++-----
 muse-glibc2.10.patch |   27 ---------------------------
 2 files changed, 7 insertions(+), 32 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-04 08:51:41 UTC (rev 62204)
+++ PKGBUILD	2010-01-04 09:11:08 UTC (rev 62205)
@@ -2,7 +2,7 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=muse
-pkgver=1.0rc3
+pkgver=1.0
 pkgrel=1
 pkgdesc="A MIDI/Audio sequencer with recording and editing capabilities"
 arch=('i686' 'x86_64')
@@ -10,17 +10,19 @@
 license=('GPL')
 depends=('qt3' 'fluidsynth' 'graphviz' 'libsamplerate')
 makedepends=('jade')
+optdepends=('python: to use the scripts')
 options=('!libtool')
 install=muse.install
-source=(http://downloads.sourceforge.net/sourceforge/lmuse/$pkgname-$pkgver.tar.gz muse-glibc2.10.patch)
-md5sums=('533a638539a85318034a2764740d11d9' '91ca69e979c9fe0a3c43eae21b996a74')
-sha1sums=('5e1e162d2ba5b73cc9c2d20ee3eb543fa72f783c' '5ab945077f17e485101e91aabe9303c69509c483')
+source=(http://downloads.sourceforge.net/sourceforge/lmuse/$pkgname-$pkgver.tar.gz)
+md5sums=('177ce7bcad2dc93e733f0ace7cd99b2d')
+sha1sums=('f4d8a4fdb04f8cac8f3ed901a4b25a3ec0bab729')
 
 build() {
   cd "$srcdir/$pkgname-$pkgver"
   . /etc/profile.d/qt3.sh
   unset LDFLAGS
-  (cd muse ; patch -p0 < ../../muse-glibc2.10.patch) || return 1
+  sed -i 's|$(pkgdatadir)|$(DESTDIR)/$(pkgdatadir)|' share/scripts/Makefile.in || return 1
+  sed -i 's|$(bindir)|$(DESTDIR)/$(bindir)|' utils/Makefile.in || return 1
   ./configure --prefix=/usr --enable-maintainer-mode \
                             --disable-doxy-treeview \
                             --enable-optimize \

Deleted: muse-glibc2.10.patch
===================================================================
--- muse-glibc2.10.patch	2010-01-04 08:51:41 UTC (rev 62204)
+++ muse-glibc2.10.patch	2010-01-04 09:11:08 UTC (rev 62205)
@@ -1,27 +0,0 @@
---- memory.cpp	2003/10/27 18:51:22	1.1.1.1
-+++ memory.cpp	2009/07/15 21:49:27	1.1.1.1.2.1
-@@ -1,7 +1,7 @@
- //=========================================================
- //  MusE
- //  Linux Music Editor
--//  $Id: memory.cpp,v 1.1.1.1 2003/10/27 18:51:22 wschweer Exp $
-+//  $Id: memory.cpp,v 1.1.1.1.2.1 2009/07/15 21:49:27 spamatica Exp $
- //
- //  (C) Copyright 2003 Werner Schweer (ws at seh.de)
- //=========================================================
-@@ -48,7 +48,14 @@
-       {
- //      printf("grow memory idx %d\n", idx);
- 
--      int esize = (idx+1) * sizeof(int);
-+//      int esize = (idx+1) * sizeof(int);
-+      int esize = (idx+1) * sizeof(int)+2;
-+      // (rj) changed to +2 due to bug 2819312 
-+      // "1.0rc3 malloc problem w/glibc-2.10 on x86_64 (with fix)"
-+      // the change apparently allows muse to launch with this 
-+      // configuration. It is however uncertain that this is the right fix. 
-+      // Probably it means that nelem will not become bigger than
-+      // the allowed number of elements
- 
-       Chunk* n    = new Chunk;
-       n->next     = chunks[idx];



More information about the arch-commits mailing list